declare namespace JSX {
    type Element = HTMLElement;
    interface IntrinsicElements {
        a: HtmlAnchorTag;
        abbr: HtmlTag;
        address: HtmlTag;
        area: HtmlAreaTag;
        article: HtmlTag;
        aside: HtmlTag;
        audio: HtmlAudioTag;
        b: HtmlTag;
        bb: HtmlBrowserButtonTag;
        base: BaseTag;
        bdi: HtmlTag;
        bdo: HtmlTag;
        blockquote: HtmlQuoteTag;
        body: HtmlBodyTag;
        br: HtmlTag;
        button: HtmlButtonTag;
        canvas: HtmlCanvasTag;
        caption: HtmlTag;
        cite: HtmlTag;
        code: HtmlTag;
        col: HtmlTableColTag;
        colgroup: HtmlTableColTag;
        commands: HtmlCommandTag;
        data: DataTag;
        datalist: HtmlDataListTag;
        dd: HtmlTag;
        del: HtmlModTag;
        details: HtmlDetailsTag;
        dfn: HtmlTag;
        div: HtmlTag;
        dl: HtmlTag;
        dt: HtmlTag;
        em: HtmlTag;
        embed: HtmlEmbedTag;
        fieldset: HtmlFieldSetTag;
        figcaption: HtmlTag;
        figure: HtmlTag;
        footer: HtmlTag;
        form: HtmlFormTag;
        h1: HtmlTag;
        h2: HtmlTag;
        h3: HtmlTag;
        h4: HtmlTag;
        h5: HtmlTag;
        h6: HtmlTag;
        head: HtmlTag;
        header: HtmlTag;
        hr: HtmlTag;
        html: HtmlHtmlTag;
        i: HtmlTag;
        iframe: HtmlIFrameTag;
        img: HtmlImageTag;
        input: HtmlInputTag;
        ins: HtmlModTag;
        kbd: HtmlTag;
        keygen: KeygenTag;
        label: HtmlLabelTag;
        legend: HtmlLegendTag;
        li: HtmlLITag;
        link: HtmlLinkTag;
        main: HtmlTag;
        map: HtmlMapTag;
        mark: HtmlTag;
        menu: HtmlMenuTag;
        meta: HtmlMetaTag;
        meter: HtmlMeterTag;
        nav: HtmlTag;
        noscript: HtmlTag;
        object: HtmlObjectTag;
        ol: HtmlOListTag;
        optgroup: HtmlOptgroupTag;
        option: HtmlOptionTag;
        output: HtmlOutputTag;
        p: HtmlTag;
        param: HtmlParamTag;
        pre: HtmlTag;
        progress: HtmlProgressTag;
        q: HtmlQuoteTag;
        rb: HtmlTag;
        rp: HtmlTag;
        rt: HtmlTag;
        rtc: HtmlTag;
        ruby: HtmlTag;
        s: HtmlTag;
        samp: HtmlTag;
        script: HtmlScriptTag;
        section: HtmlTag;
        select: HtmlSelectTag;
        small: HtmlTag;
        source: HtmlSourceTag;
        span: HtmlTag;
        strong: HtmlTag;
        style: HtmlStyleTag;
        sub: HtmlTag;
        sup: HtmlTag;
        table: HtmlTableTag;
        tbody: HtmlTag;
        td: HtmlTableDataCellTag;
        template: HtmlTag;
        textarea: HtmlTextAreaTag;
        tfoot: HtmlTableSectionTag;
        th: HtmlTableHeaderCellTag;
        thead: HtmlTableSectionTag;
        time: HtmlTimeTag;
        title: HtmlTag;
        tr: HtmlTableRowTag;
        track: HtmlTrackTag;
        u: HtmlTag;
        ul: HtmlTag;
        var: HtmlTag;
        video: HtmlVideoTag;
        wbr: HtmlTag;
    }
}
//# sourceMappingURL=intrinsic-elements.d.ts.map