import express, { type Request, type Response } from "express";
import userData from 'public/userKnowledge.json';

const router = express.Router();

/* GET home page. */
router.get('/', function (req: Request, res: Response) {
  res.render('main/2_0', { userData });
});

router.get('/cv', function (req: Request, res: Response) {
  res.render('cv', { userData });
});

router.get('/old', function (req: Request, res: Response) {
  res.render('main/1_0');
});

router.get('/mail', function (req: Request, res: Response) {
  res.redirect('https://privateemail.com/');
});

router.get('/list', function (req: Request, res: Response) {
  res.render('list');
});

router.get('/cash', function (req: Request, res: Response) {
  res.render('cash');
});

//import userRouter from './user';
//router.use('/user', userRouter);

export default router;